Status: Closed Start date: 2010-01-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Add a "Projected Date" field to the version, to allow the differentiation between when a version is due and when it is expected to be
delivered.

Currently versions only have a Due Date field, so if a project falls behind schedule (or gets ahead of schedule, if that is even
possible) users do not know when to anticipate the release of the version. Managers are always asking for a revised schedule, and
yet changing due dates to reflect the new schedule would cause the user to lose visibility of performance compared to the initial
project schedule.

If a "Projected Date" field were added, it could be displayed on the Roadmap in addition to the Due Date, which could then serve as
a deliverable for a revised schedule, and still preserve the visibility against the initial schedule.

Another, perhaps more work intensive, use of this field would be to give the user a combo box that would allow them to choose either
the Due Dates or Projected Dates when displaying the Gantt chart.

History

#1 - 2010-01-07 18:10 - Eric Hollering

Upon further consideration, perhaps a better name might be "Release Date" or "Delivery Date", so that it is still relevant post-release.

#2 - 2010-01-07 22:36 - Jean-Philippe Lang

FWIW, you will be able to add custom fields to versions in 0.9.

#3 - 2010-01-08 16:08 - Eric Hollering

That's great news! | was already planning an upgrade because of the ABSOLUTELY PRICELESS value of infinitely nestable projects. Keep up the
great work! This is such a great tool! Perhaps one of these days I'll be able to contribute more to the effort.

#4 - 2010-01-15 18:17 - Eric Davis
- Status changed from New to Closed

- Resolution set to Duplicate
Closing, adding a custom date field is the best solution.
#5 - 2010-01-15 18:34 - Eric Hollering

I would like to respectfully disagree with the resolution in this particular case, because of the uses | indicated in the initial issue description (with the
change | mentioned in the first comment).

| think adding the field as a permanent and official resident would vastly enhance the reporting opportunities for future development.
